javax.jdo

## Class AttributeConverter.UseDefault

- java.lang.Object
- - javax.jdo.AttributeConverter.UseDefault

- All Implemented Interfaces:
    AttributeConverter<Object,Object>
  Enclosing interface:
    AttributeConverter<A,D>

      public static class AttributeConverter.UseDefault
      extends Object
      implements AttributeConverter<Object,Object>

  Dummy converter to represent "use the implementation default for this type" when using annotations.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.jdo.AttributeConverter

      `AttributeConverter.UseDefault`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UseDefault()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `convertToAttribute(Object datastoreValue)` Converts the given datastore value to its representation as a persistent attribute.
    `Object` | `convertToDatastore(Object attributeValue)` Converts the given persistent attribute value to its representation in the datastore.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UseDefault

          public UseDefault()

  - ### Method Detail

    - #### convertToDatastore

          public Object convertToDatastore(Object attributeValue)

      Description copied from interface: `AttributeConverter`
      Converts the given persistent attribute value to its representation in the datastore.
      Specified by:
        `convertToDatastore` in interface `AttributeConverter<Object,Object>`
      Parameters:
        `attributeValue` - Value of attribute
      Returns:
        Value in datastore

    - #### convertToAttribute

          public Object convertToAttribute(Object datastoreValue)

      Description copied from interface: `AttributeConverter`
      Converts the given datastore value to its representation as a persistent attribute.
      Specified by:
        `convertToAttribute` in interface `AttributeConverter<Object,Object>`
      Parameters:
        `datastoreValue` - Value in datastore
      Returns:
        Value in attribute

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.